### Method

# Atspi Device map_modifier

#### Declaration [src]

    guint
    atspi_device_map_modifier (
      AtspiDevice* device,
      gint keycode
    )

#### Description [src]

Maps the specified key code to a modifier so that it can be used in conjunction with other keys to create a key grab. If the given keycode is already mapped, then this function will return the modifier that is currently mapped to the keycode, without doing anything else. Otherwise, it will use the last modifier that AT-SPI used to map a key. If no keys have yet been mapped using this device, then it will look for a modifier that is not currently being used. If no unused modifier can be found, then it will use the first modifier by default.

#### Parameters

`keycode`

  Type: `gint`

  The keycode to map.

#### Return value

Type: `guint`

The modifier that is now mapped to this keycode. This return value can be passed to atspi_device_add_key_grab.